Skip to main content
GET
/
v0
/
tasks
/
{id}
JavaScript
import Avido from 'avido';

const client = new Avido({
  apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
  applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});

const task = await client.tasks.retrieve('123e4567-e89b-12d3-a456-426614174000');

console.log(task.task);
{
  "task": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "modifiedAt": "2024-01-01T00:00:00.000Z",
    "title": "Credit Card Block",
    "description": "Wants to block their credit card",
    "baseline": 0.5,
    "application": {
      "id": "app_123",
      "title": "Support Bot",
      "slug": "support-bot",
      "description": "",
      "context": "",
      "type": "CHATBOT",
      "environment": "DEV",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "modifiedAt": "2024-01-01T00:00:00.000Z"
    },
    "topic": {
      "id": "topic_abc",
      "title": "Banking Issues",
      "baseline": null,
      "createdAt": "2024-01-05T12:34:56.789Z",
      "modifiedAt": "2024-01-05T12:34:56.789Z"
    },
    "metadata": {
      "customerId": "1",
      "priority": "high"
    }
  }
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
string<uuid>
required

The unique identifier of the task

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Successfully retrieved task

Successful response containing the task data

task
Task · object
required

A task that represents a specific job-to-be-done by the LLM in the user application.